Radius and dimension tool issues

I was wondering if anyone but me objects to the way the radius and dimension tools overlay an arc or circle with another arc.   (See attached screenshot.)      I reported this as a support issue some time ago, but they claimed this is normal behavior, even in Autocad.   I don't have a working Autocad installation anymore, but I don't recall this ever happening with R14 or even Autocad LT 2006, both of which I used for years.   In my opinion, it buggers up drawings, and makes them unprofessional looking.  Maybe I just don't have a setting right.  I don't know.  

Comments

  • I can't remember it being different, I find it annoying too. If it's the same thing I'm thinking of.

    The continuing arc is sort of necessary at times, it just takes over before it's really needed.

    Some time in bcad history, small dimensions lowered the threshold at which the text stays between the arrows - they land outside with an extension when they would still have fitted between.

    To me, the issues seem related.

  • I noticed this behavior too and also find it annoying.  A workaround I use is to draw a circle and then use it to place the radius dimension, then delete the circle after it is placed.  Of course, the dimension is no longer associative, but at least the annoying line over line is gone.
  • This problem was discussed before:
    http://forum.bricsys.com/discussion/20065
    Both Jason's comments in that discussion and the response to my support request (SR39171) confirm that in AutoCAD the extension arc can be suppressed. So I am surprised by the answer that Jim has received.

    One of the other issues in SR39171 is the following:
    If a circle with an associated radial dimension is trimmed, the radial dimension will be associated with what is now an arc, which is very nice. But if you 'grip-move' the 'arrow' point of the dimension the curved extension line will never appear. ... The required xdata is simply not attached to the dimension entity.

    Using the fact that the extension arc requires xdata it is possible to suppress it by simply removing the xdata from the dimension entity. But I do not think that this is a wise approach. Any change to the dimensioned arc will now cause the dimension to be relocated. And these modified dimensions may cause a future audit problem.

    Code (for testing only!):
    [code](defun c:RadExtArcRemove ( / ename elist)
      (if
        (and
          (setq ename (car (entsel)))
          (setq elist (entget ename))
          (vl-position '(100 . "AcDbRadialDimension") elist)
        )
        (entmod
          (list
            (cons -1 ename)
            '(-3 ("ACAD_DSTYLE_DIMRADIAL_EXTENSION"))
          )
        )
      )
      (princ)
    )[/code]



  • Sometimes I feel so stupid when I'm around you guys!    How do you learn this stuff?    Anyway, thanks for taking the time to answer.

    Roy, I read the thread you referred me to, and experimented with the variables that Knut and Jason discussed.      Maybe I'm not very observant, but it seems to me that only DIMEXE has a significant effect, and that is to change the length of the arc that extends beyond the point of the arrow.

    Eric, your workaround seems to do the job.  I will try to remember to use that.   

    I noticed something else that removes the annoying extension line.   If I turn off ESNAP before I  when I apply a radius dimension to the inside of an arc, and place the dimension very tight to the inside of the arc, it does not create the extension line.   There is no center mark, either.  
  • An image to clarify DIMEXE AND DIMEXO:
    imageRadDim_DimExe_DimExo.png
  • Thanks Roy!
This discussion has been closed.